Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002132Frama-CPlug-in > wppublic2015-06-11 02:252016-06-21 14:08
Reportergaggarwal 
Assigned Tocorrenson 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Neon-20140301 
Target VersionFixed in VersionFrama-C Aluminium 
Summary0002132: Under windows, many times, Frama-c wp process doesn't kill alt-ergo process before finishing
DescriptionOn Windows system, Frama-c wp process finished without finishing all the alt-ergo processes it created, because of this in few mins, my system starts thrashing because these lying around alt-ergo processes take up all the CPU time.

If I run the test with frama-c wp + why3, why3 finishes all the alt-ergo processes before finishing.

Is there an option, that should be used to make sure alt-ergo processes are finished with frama-c process?
TagsNo tags attached.
Attached Files

- Relationships
related to 0002154closedcorrenson Zombie processes 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2015-06-11 02:25 gaggarwal New Issue
2015-06-11 02:25 gaggarwal Status new => assigned
2015-06-11 02:25 gaggarwal Assigned To => correnson
2015-06-29 16:35 correnson Status assigned => acknowledged
2015-09-02 10:06 correnson Relationship added related to 0002154
2015-11-25 15:40 correnson Status acknowledged => resolved
2015-11-25 15:40 correnson Fixed in Version => Frama-C Aluminium
2015-11-25 15:40 correnson Resolution open => fixed
2016-06-21 14:08 signoles Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker